<?xml version="1.0" encoding="utf-8"?>
<resources>

    <attr name="ad_slot_name" format="string"/>
    <declare-styleable name="BannerAdView">

        <attr name="ad_slot_name" />
    </declare-styleable>


    <declare-styleable name="NativeAdView">
        <!-- NativeAdViewHolder -->

        <attr name="ad_slot_name" />
        <attr name="ad_auto_populate" format="boolean"/>

        <attr name="ad_view_title_id" format="reference"/>
        <attr name="ad_view_title_desc_id" format="reference"/>
        <attr name="ad_view_icon_id" format="reference"/>
        <attr name="ad_view_media_content_group_id" format="reference"/>
        <attr name="ad_view_call_to_action_id" format="reference"/>
        <attr name="ad_view_advertisers_logo_id" format="reference"/>
        <attr name="ad_view_close_ad_icon_id" format="reference"/>

        <!-- 这里指定广告商提供的原生广告根节点view, 各个广告库中已经写了默认的-->
        <!-- lib_ad_admob/res/layout/layout_admob_native_ad_view_root -->

        <attr name="ad_admob_native_ad_view_layout" format="reference"/>

        <attr name="ad_gro_more_tt_native_ad_view_layout" format="reference"/>

        <!-- 暂未使用 -->
        <attr name="native_app_lovin_max_advertisers_root_view" format="reference"/>


    </declare-styleable>

</resources>